unit AnimationrigNull;

interface

uses SysUtils,Classes,Contnrs,
     Animationrig,AnimationrigMisc,AnimationrigState;

type
  TAnimrigStateNullRenderer = class(TAnimrigStateRenderer)
    protected
    public
      constructor Create;
  end;

  TAnimrigStateAnyRenderer = class(TAnimrigStateRenderer)
    protected
    public
      constructor Create(objecttype_:TAnimrigMisc.ObjectType);
  end;

implementation

{ TAnimrigStateNullRenderer }

constructor TAnimrigStateNullRenderer.Create;
begin
  inherited;
  fObjectType := anoNull;
  Clear;
end;

{ TAnimrigStateAnyRenderer }

constructor TAnimrigStateAnyRenderer.Create(objecttype_:TAnimrigMisc.ObjectType);
begin
  inherited Create();

  fObjectType := objecttype_;
  Clear;
end;

end.
